package Klausur;

import java.util.*;
import java.util.stream.Collectors;

public class Lambda {

	public static void main(String[] args) {
		List<Wochentag> tage = Arrays.asList(
	            Wochentag.MITTWOCH,
	            Wochentag.FREITAG,
	            Wochentag.MONTAG,
	            Wochentag.SONNTAG
	        );
		
		tage.stream().collect(Collectors.partitioningBy(null));
		}
	}

enum Wochentag implements Comparable<Wochentag> {
    MONTAG, DIENSTAG, MITTWOCH, DONNERSTAG, FREITAG, SAMSTAG, SONNTAG;
	
	
}